const express = require('express')
const data = require('./db')
const app = express()
const bodyParser = require('body-parser')

app.use(bodyParser.json())
app.use(bodyParser.urlencoded({ extended: true}))

app.get('/', (req,res) => {
    res.send('Hello World')
})

app.get('/dust_value', (req,res) => {
    res.json(data)
})

app.put('/dust_value', (req,res) => {
    res.json(Object.assign(data, req.body))
})

app.listen(3000, () => {
    console.log('Started server at port 3000.')
})