import Adafruit_GPIO.SPI as SPI
import Adafruit_SSD1306
from PIL import Image,ImageDraw,ImageFont
import subprocess
class Display:
    fonts = []
    top = 4
    x = 0
    def init(self):
        self.disp = Adafruit_SSD1306.SSD1306_128_32(rst=None)
        self.disp.begin()
        self.disp.clear()
        self.disp.display()
    def setup(self):
        self.width = self.disp.width
        self.height = self.disp.height
        self.image = Image.new('1', (self.width, self.height))
        self.draw = ImageDraw.Draw(self.image)
        self.draw.rectangle((0, 0, self.width, self.height), outline=0, fill=0)
    def addfont(self, fontname , fontsize):
        font = ImageFont.truetype(fontname, fontsize)
        self.fonts.append(font)
    def typeText(self,xposition,yposition,text,font):
        self.draw.text((self.x+xposition,self.top+yposition),text,font = font,fill =256)
    def show(self):
        self.disp.image(self.image)
        self.disp.display()
